Endpoint Vulnerability

Security Vulnerability CVE-2015-1244 for Google Chrome

Description

The URLRequest::GetHSTSRedirect function in url_request/url_request.cc in Google Chrome before 42.0.2311.90 does not replace the ws scheme with the wss scheme whenever an HSTS Policy is active, which makes it easier for remote attackers to obtain sensitive information by sniffing the network for WebSocket traffic.

Affected Products

Google Chrome

References

CVE-2015-1244,